package com.ruoyi.web.work.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.work.domain.Report;
import com.ruoyi.web.work.domain.Request;
import com.ruoyi.web.work.domain.dto.ReportDto;

/**
 * @author lsw
 * @date 2024-07-24
 */
public interface IReportService extends IService<Report>{
    List<Report> selectList(Report report);


    List<Request> getAllReportByPatId(Long patId);

    ReportDto getOrcReportByObcId(String orcId);
}
